Đến nội dung


Hình ảnh

GIÚP ĐỠ ĐỂ HACHT ĐƯỢC CÁI NÀY


  • Please log in to reply
15 replies to this topic

#1 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 10:40 AM

Em có bản vẽ về bản đồ, giờ muốn hách vào từng ô, nhưng không hacht nổi. các bác có cách nào hacht nhanh nhất giúp em với, hách soid với các màu khác nhau vào từng ô ranh giới xã khác nhau, em hacht nó toàn hacht sang xã khác thật là bực mình
bản vẽ của em đây ạ http://www.cadviet.c.../giup_hacht.dwg
  • 0

#2 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 October 2010 - 10:57 AM

Em có bản vẽ về bản đồ, giờ muốn hách vào từng ô, nhưng không hacht nổi. các bác có cách nào hacht nhanh nhất giúp em với, hách soid với các màu khác nhau vào từng ô ranh giới xã khác nhau, em hacht nó toàn hacht sang xã khác thật là bực mình
bản vẽ của em đây ạ http://www.cadviet.c.../giup_hacht.dwg

Link die rồi bạn ơi, post lại xem sao?
  • 0

#3 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 11:08 AM

Link die rồi bạn ơi, post lại xem sao?

http://www.cadviet.c...iup_hacht_4.dwg
  • 0

#4 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 02:04 PM

http://www.cadviet.c...iup_hacht_4.dwg

Em post lại rùi, các A giúp được thì giúp em với nhé, em cần ngay trong chiều nay mà....em xin chân thành cảm ơn
  • 0

#5 leohuce

leohuce

    biết vẽ line

  • Members
  • PipPip
  • 28 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 07 October 2010 - 03:29 PM

http://www.cadviet.c...iup_hacht_4.dwg

Máy cậu bị lỗi j rồi, mình vẫn ko down được file của bạn.
  • 0

#6 phamngoctukts

phamngoctukts

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1107 Bài viết
Điểm đánh giá: 696 (tốt)

Đã gửi 07 October 2010 - 03:39 PM

Em có bản vẽ về bản đồ, giờ muốn hách vào từng ô, nhưng không hacht nổi. các bác có cách nào hacht nhanh nhất giúp em với, hách soid với các màu khác nhau vào từng ô ranh giới xã khác nhau, em hacht nó toàn hacht sang xã khác thật là bực mình
bản vẽ của em đây ạ http://www.cadviet.c.../giup_hacht.dwg

Up lên mediafire đi bạn trang upload của diễn đàn đang bị đơ cu lơ.
tuy chưa mở được file của bạn nhưng có lẽ mình đoán là các miền hatch của bạn bị hở. Bạn thử copy dòng này vào dòng command line rồi hatch xem sao nhé.
(setvar "hpgaptol" 100)
  • 0
Tất cả vì sự phát triển của diễn đàn ...
Cám ơn đừng nói lời suông mà hãy nhấn Hình đã gửi!

#7 DuongTrungHuy

DuongTrungHuy

    biết lệnh copy

  • Members
  • PipPipPip
  • 116 Bài viết
Điểm đánh giá: 41 (tàm tạm)

Đã gửi 07 October 2010 - 03:48 PM

Em post lại rùi, các A giúp được thì giúp em với nhé, em cần ngay trong chiều nay mà....em xin chân thành cảm ơn

Bạn thử xem
http://www.zshare.ne...2262631e45a4e9/
  • 0

#8 huong259

huong259

    biết lệnh refedit

  • Members
  • PipPipPipPipPipPipPip
  • 596 Bài viết
Điểm đánh giá: 350 (khá)

Đã gửi 07 October 2010 - 05:06 PM

Em post lại rùi, các A giúp được thì giúp em với nhé, em cần ngay trong chiều nay mà....em xin chân thành cảm ơn

Em hát cho anh được 15 xã còn lại 8 xã nữa anh tự làm lấy nhé! Nguyên nhân không hát tiếp được vì 8 xã này có đường liên thông không kín:
http://www.cadviet.c...les/3/hát_2.rar

@ phamngoctukts: em làm theo hướng dẫn của anh:Bạn thử copy dòng này vào dòng command line rồi hatch xem sao nhé.
(setvar "hpgaptol" 100)
không được anh ạ!
  • 0

#9 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 05:07 PM

Bạn thử xem
http://www.zshare.ne...2262631e45a4e9/

Em nhận được rùi, cảm ơn A nhé, à mà cho em hỏi thêm, có phải bản vẽ của E đường bao hacht bị hở cho nên không hacht được phải không A. làm thế nào để A hacht được vậy có phải A chỉnh lại cho kín đường biên không A, hay là A dùng kỹ thuật nào vậy
  • 0

#10 huong259

huong259

    biết lệnh refedit

  • Members
  • PipPipPipPipPipPipPip
  • 596 Bài viết
Điểm đánh giá: 350 (khá)

Đã gửi 07 October 2010 - 05:16 PM

Em nhận được rùi, cảm ơn A nhé, à mà cho em hỏi thêm, có phải bản vẽ của E đường bao hacht bị hở cho nên không hacht được phải không A. làm thế nào để A hacht được vậy có phải A chỉnh lại cho kín đường biên không A, hay là A dùng kỹ thuật nào vậy

15 xã em hát được là do nó tự kín, còn lại 8 xã chịu cứng họng không hát được vì nó hở anh ạ. anh hàn vá lại là hát được thôi mà chịu khó nhé.
  • 0

#11 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 05:22 PM

15 xã em hát được là do nó tự kín, còn lại 8 xã chịu cứng họng không hát được vì nó hở anh ạ. anh hàn vá lại là hát được thôi mà chịu khó nhé.

ah thế ạ, vậy em cảm ơn nhé, vậy là do A hàn gắn nó lại à. vâng em mắc cái bệnh vừa dốt vừa lười, nên thấy nó không hacht được là ngần ngại, không biết nên đành nhờ các A vậy, thui E cảm ơn nhé, chúc một tối an lành. cảm ơn cadviet cảm ơn A trai
  • 0

#12 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 07 October 2010 - 05:27 PM

ah thế ạ, vậy em cảm ơn nhé, vậy là do A hàn gắn nó lại à. vâng em mắc cái bệnh vừa dốt vừa lười, nên thấy nó không hacht được là ngần ngại, không biết nên đành nhờ các A vậy, thui E cảm ơn nhé, chúc một tối an lành. cảm ơn cadviet cảm ơn A trai

không biết có ai trong diễn đàn mình mà biết cách hacht những miền hở, mà miền hacht bị hở ấy lại được tạo ra từ các đường plyline chấm gạch mảnh. Ai trong diễn đàn đã làm được thì post lên để mở mang cho em hiểu biết thêm, E thật là biết ơn
Em rất cần kỹ thuật hacht miền hở ntnày, vì trong công việc hacht vào miền hở gặp rất nhiều, nhưng mà lại cứ đi tìm chỗ hở mà gắn nó lại thì mất thời gian lắm, có cách nào khác không các A
Em đang cần sự góp ý của tất cả mọi người trong diễn đàn
  • 0

#13 huong259

huong259

    biết lệnh refedit

  • Members
  • PipPipPipPipPipPipPip
  • 596 Bài viết
Điểm đánh giá: 350 (khá)

Đã gửi 07 October 2010 - 05:40 PM

không biết có ai trong diễn đàn mình mà biết cách hacht những miền hở, mà miền hacht bị hở ấy lại được tạo ra từ các đường plyline chấm gạch mảnh. Ai trong diễn đàn đã làm được thì post lên để mở mang cho em hiểu biết thêm, E thật là biết ơn
Em rất cần kỹ thuật hacht miền hở ntnày, vì trong công việc hacht vào miền hở gặp rất nhiều, nhưng mà lại cứ đi tìm chỗ hở mà gắn nó lại thì mất thời gian lắm, có cách nào khác không các A
Em đang cần sự góp ý của tất cả mọi người trong diễn đàn

Tại anh vẽ ẩu chứ ko phải dốt, đã ẩu lại còn lười, nên nó mới thế.
Bây giờ anh có thể chữa cháy bằng cách khi hát ko lựa chọn Add: Pick points mà phải chọn Add: Select objiects sẽ hát được miền hở( cách này ko chuyên nghiệp anh à)
  • 0

#14 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 07 October 2010 - 11:03 PM

Đã có bài viết của bác Hoành về hatch miền hở rồi đó bạn :cheers:
Hatch
Hatch theo object có cái tiện là associative rất thuận lợi :cheers:
  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#15 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 October 2010 - 10:00 AM

Đã có bài viết của bác Hoành về hatch miền hở rồi đó bạn :cheers:
Hatch
Hatch theo object có cái tiện là associative rất thuận lợi :cheers:

Em cũng đã tham khảo list rùi, nhưng cũng chỉ được với khoảng hở 5000 còn lớn hơn thì vẫn bó tay, ví dụ như cái bản đồ em vẽ đấy ạ, nó ở tỷ lệ lớn, nên khoảng hở trông rất nhỏ nhưng mà vẫn không hacht được cho dù đã đặt khoảng hở 5000.
Có cách nào không các A, ví dụ như bo kín lại bằng một lệnh nào đó, hay có list tự động khép kín miền hacht chẳng hạn, hay là nối các đường line, poly tự động bằng một lệnh, chứ không phải ngồi hàn.. Các anh có hiểu ý của em không ạ.... A nào có sáng kiến khắc phục được yêu cầu đó của em, post lên để nhà mình cùng học hỏi.,,,Em cảm ơn nhiều ạ
  • 0

#16 maiquangtuan

maiquangtuan

    biết vẽ circle

  • Members
  • PipPip
  • 31 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 08 October 2010 - 05:08 PM

Sau 2 ngày tôi lang thang trên cadviet cuối cùng tôi cũng thoả mãn được điều mà tôi mong mỏi đó là:
- hacht được khoảng hở, mà khoảng hở lớn hơn 5000... thực sự tôi rât vui, vì tôi không phải cải thiện món lười nữa, không lọ mọ hàn gắn vết hở nữa các bác ạ, chỉ cần cái này:

--------------------------------------------------------

(defun c:boh()
(vl-load-com)
(prompt "\n Chon doi tuong tao thanh Boundary : ")
(setq ssg (ssget))
(setq po (getpoint "\n Pick 1 diem trong da tuyen :"))
(setq frome (entlast))
(Command "copy" ssg "" po "@")
(setq toe (entlast))
(setq cur frome ; khoi tao
ssgg (ssadd)
)
(while (not (eq cur toe)) ;;
(setq
cur (entnext cur)
ssgg (ssadd cur ssgg)
)
)

(setq n (sslength ssg)
i 0)
(while (< i n)
(setq curve (ssname ssg i))
(setq dd (vlax-curve-getStartPoint curve))
(setq dc (vlax-curve-getEndPoint curve))
(command "extend" ssg "" "e" "e" dd dc "")
(setq i (1+ i))
)

(setq frome (entlast))
(Command "boundary" po "")
(setq toe (entlast))
(setq cur frome ; khoi tao
ss (ssadd)
)
(while (not (eq cur toe)) ;;
(setq
cur (entnext cur)
ss (ssadd cur ss)
)
)
(Command "erase" ssgg "")
(sssetfirst ss ss)

(princ)
)
  • 0